Hello,

Thanks for considering to contribute to iFit !

# Procedure via 'merge/pull requests':

This is done via Git/Gitlab. You need to create a Gitlab account first. This is free and fast.

- Fork the iFit repository locally (click on the Fork item on the top-right side).
- Make your own modifications using Git. If you do not know about that, Gitlab provides an embedded editor to modify and/or edit files.
- Once all seems good, click on the Pull requests tab, and Create a new Pull request (green button on top-right).
- Describe what you have done, how to use it and test it, and any other relevant information.
- Send the Pull request.
- It will be reviewed, possibly commented (to understand your work), and finally inserted into the 'master' branch.

# Procedure via simple comments

An other way is to simply send me your comments by creating an Issue:

This is done via Git/Gitlab. You need to create a Gitlab account first. This is free and fast.

- Click on the Github Issues tab
- Click on the New Issue (green button, top-right)
- Explain what you want/suggest/report. You can assign 'labels' such as Enhancement (requests), Bug, etc.
- Attach any file there (you may have to create a ZIP archive)

# Procedure via simple email

Last, if you **do not have*** any Gitlab account, just send an email to the iFit mailing list:

- ifit-users@mccode.org

and attach any relevant information, e.g.:

- the commands that trigger the error
- the trace of the error (message)
- any necessay data file needed to reproduce the error
- additional information regarding your system version, Matlab, etc.

